Subject: Re: [bug#37598] [PATCH 1/4] gnu: Add python-jinja2-time.

From: Tanguy Le Carrour <[email-masked]>
Date: Mon, 14 Oct 2019 09:09:30 +0200

Hi Ludovic, Hi Mathieu!

Le 10/14, Ludovic Courtès a écrit :
> Did you have a chance to look into Mathieu’s suggestions (below)?

No!… because I don't get notifications when someone sends a comment on a
bug I opened! :-(
I have to go and check the 2 others I opened, I guess! I hope I didn't
seem to give up on them!

> Mathieu Othacehe <[email-masked]> skribis:
> > Hello Tanguy,

Sorry for not answering! And thanks for the time you spent into
reviewing my patches!

> > Thanks for your patches. A few remarks (more details at
> > https://guix.gnu.org/manual/en/html_node/Submitting-Patches.html):
> >
> >> Subject: [PATCH 1/4] gnu: Add python-jinja2-time.
> >
> > You need to add a commit message, compliant with ChangeLog format. You
> > can find examples in commit history.

I have to confess that I am… a minimalist! :-)
I thought that `gnu: Add python-jinja2-time.` would be enough and I didn't have
to go into more details about the "why"!
Please believe me when I say that it was not out of laziness.
I'll go dig into commit messages and see what I have to add.

> >> +    (description
> >> +     "Jinja2 Extension for Dates and Times")
> >
> > Description should follow the rules dictated at
> > https://guix.gnu.org/manual/en/html_node/Synopses-and-Descriptions.html#Synopses-and-Descriptions,
> > most specifically "Descriptions should take between five and ten
> > lines. Use full sentences, and avoid using acronyms without first
> > introducing them".

OK, this one was pure laziness! So far, I've never modified description/synopsis
provided by `guix import`.
I guess, now that I'm more comfortable with the process, I can focus more on
"what" I am submitting and less on "how" I am submitting it!

Thanks again guys for your time. I'll fix the patches and resubmit them as
soon as I can!

-- 
Tanguy